<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Camiseria{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion,$precioa,$preciob,$precioc,$preciod,$precioe,$precioab,$preciobb,$preciocb,$preciodb,$precioeb){
	$sql="INSERT INTO camiseria (nombre,descripcion,condicion,precioa,preciob,precioc,preciod,precioe,precioab,preciobb,preciocb,preciodb,precioeb) VALUES ('$nombre','$descripcion','1','$precioa','$preciob','$precioc','$preciod','$precioe','$precioab','$preciobb','$preciocb','$preciodb','$precioeb')";
	return ejecutarConsulta($sql);
}

public function editar($idcamiseria,$nombre,$descripcion,$precioa,$preciob,$precioc,$preciod,$precioe,$precioab,$preciobb,$preciocb,$preciodb,$precioeb){
	$sql="UPDATE camiseria SET nombre='$nombre',descripcion='$descripcion',precioa='$precioa',preciob='$preciob',precioc='$precioc',preciod='$preciod',precioe='$precioe',precioab='$precioab',preciobb='$preciobb',preciocb='$preciocb',preciodb='$preciodb',precioeb='$precioeb' 	WHERE idcamiseria='$idcamiseria'";
	return ejecutarConsulta($sql);
}
public function desactivar($idcamiseria){
	$sql="UPDATE camiseria SET condicion='0' WHERE idcamiseria='$idcamiseria'";
	return ejecutarConsulta($sql);
}
public function activar($idcamiseria){
	$sql="UPDATE camiseria SET condicion='1' WHERE idcamiseria='$idcamiseria'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idcamiseria){
	$sql="SELECT * FROM camiseria WHERE idcamiseria='$idcamiseria'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM camiseria";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM camiseria WHERE condicion=1";
	return ejecutarConsulta($sql);
}

//metodo para buscar un cliente
public function buscarcamiseriaid($idcamiseria){
	$sql="SELECT * FROM camiseria WHERE idcamiseria='$idcamiseria'";
	return ejecutarConsultaSimpleFila($sql);
}

}

 ?>
